AIX visual age C complier version 5.0.1.*

AIX visual age C complier version 5.0.1.*

Post by Rob Yampolsk » Sat, 07 Dec 2002 07:45:14



I want to upgrade from version 5.0.1 to version 5.0.2, because the
compiler patches for v5.0.1 doesn't fix our problems.  Serious cases
where the compiler produces bad code.

Is there an IBM site that I can go to download v5.0.2?

Thanks,
Rob

 
 
 

AIX visual age C complier version 5.0.1.*

Post by Tom Van Overbek » Sat, 07 Dec 2002 22:55:37


Yes, you should be able to find them on ftp.software.ibm.com in directory
/aix/fixes/v4/other, at least there i found patches for the C compiler.

regards,

Tom.


Quote:> I want to upgrade from version 5.0.1 to version 5.0.2, because the
> compiler patches for v5.0.1 doesn't fix our problems.  Serious cases
> where the compiler produces bad code.

> Is there an IBM site that I can go to download v5.0.2?

> Thanks,
> Rob


 
 
 

1. Visual Age C for AIX Version 5 programming issues

I am doing some programming on AIX 5.1 using the Visual Age C for AIX
Version 5 compiler. To start with on the IBM More Information page on the
compiler :
http://www-4.ibm.com/software/ad/vacpp/about.html

it mentions some newgroups on the newsserver news.software.ibm.com. I cannot
find that newsserver. Is it down, or am I having corporate firewall issues ?

My more immediate issue is with structure packing issues. The command line
switch to the compiler (-qalign-packed) works fine, but the equivalent
pragma (#pragma align(packed)) is not recognized as a valid pragma from the
compiler. Note that I did not just pull this pragma out of thin air, it is
documented in :

http://www-4.ibm.com/software/ad/vacpp/download/pdf/aix/pragmas.pdf

Does anyone know where I am going wrong ?

Dale Pennington

2. Why I`m dumping Linux

3. Problem with different version of Visual Age Compiler for C++ in AIX

4. SVGA not working on Linux..

5. Visual Age C++ for AIX requirements

6. A nice mention of Linux

7. install visual age C++ (VAC) V5.x on AIX 4.3.3

8. Terrible static w/ linux ppc 2000 on G4 450 AGP

9. Batch Compilation in Visual Age C++ for AIX

10. Problems installing Visual Age C++ 5.0 on AIX 5.2.0

11. Visual Age Installation on AIX

12. Requesting C complier and Perl Complier

13. Complier needs C complier on Solaris??